Package org.apache.sling.launchpad.base.impl

# Class StartupManager

java.lang.Object
org.apache.sling.launchpad.base.impl.StartupManager

public class StartupManager extends Object
The `StartupManager` tries to detect the startup mode: It distinguishes between an initial startup (INSTALL), an update (UPDATE) and a restart without a change (RESTART).

Since:
  2.4.0

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.launchpad.api.StartupMode`
`getMode()`
Return the startup mode
`long`
`getTargetStartLevel()`
Return the target start level.
`boolean`
`isIncrementalStartupEnabled()`
Is the incremental startup enabled?
`void`
`markInstalled()`
Set the finished installation marker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMode

public org.apache.sling.launchpad.api.StartupMode getMode()
Return the startup mode

Returns:
  The startup mode

### isIncrementalStartupEnabled

public boolean isIncrementalStartupEnabled()
Is the incremental startup enabled?

Returns:
  `true` if incremental startup is enabled.

### getTargetStartLevel

public long getTargetStartLevel()
Return the target start level.

Returns:
  Target start level

### markInstalled

public void markInstalled()
Set the finished installation marker.